Package org.codehaus.groovy.jsr223

# Class GroovyCompiledScript

java.lang.Object
javax.script.CompiledScript
org.codehaus.groovy.jsr223.GroovyCompiledScript

public class GroovyCompiledScript extends CompiledScript
Used to represent compiled Groovy scripts. Such scripts may be executed repeatedly by Groovy's `ScriptEngine` using the `eval` method without reparsing overheads.

Author:
  Adapted from original by Mike Grogan, Adapted from original by A. Sundararajan

## Constructor Summary

Constructors
Constructor
Description
`GroovyCompiledScript(GroovyScriptEngineImpl engine, Class<?> clazz)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eval(ScriptContext context)`
`ScriptEngine`
`getEngine()`

### Methods inherited from class javax.script.CompiledScript

`eval, eval`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GroovyCompiledScript

public GroovyCompiledScript(GroovyScriptEngineImpl engine, Class<?> clazz)

## Method Details

### eval

public Object eval(ScriptContext context) throws ScriptException

Specified by:
  `eval` in class `CompiledScript`
Throws:
  `ScriptException`

### getEngine

public ScriptEngine getEngine()

Specified by:
  `getEngine` in class `CompiledScript`